﻿@model Jumbula.Core.Model.Contact.ContactSettingsViewModel
@{

    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Contact settings
            </h1>
        </div>
        <div class="actions">

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">

        </div>

        <div class="clearfix"></div>
    </div>

    <div>

        <form novalidate ng-submit="submit()">
            <fieldset>
                <table class="table">
                    <thead>
                        <tr>
                            <td class="text-bold">Field</td>
                            <td class="text-bold">Enabled</td>
                            <td class="text-bold">Show in grid</td>
                        </tr>
                    </thead>

                    <tbody>

                        <tr ng-repeat="field in Model.Fields">
                            <td ng-bind="field.Title"></td>

                            <td>
                                <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                                    <label>
                                        <input data-enable={{field.Name}} class="field-enable" ng-model="field.IsEnabled" ng-disabled="field.IsReadOnly" ng-value="true" type="checkbox" />
                                        <span class="check"></span>
                                    </label>
                                </div>
                            </td>

                            <td>
                                <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                                    <label>
                                        <input data-showingrid={{field.Name}} class="field-showingrid" ng-disabled="field.IsReadOnly || !field.IsEnabled" ng-model="field.ShowInGrid" ng-value="true" type="checkbox" />
                                        <span class="check"></span>
                                    </label>
                                </div>
                            </td>
                        </tr>

                    </tbody>
                </table>
            </fieldset>

            <div class="clearfix"></div>
            <hr />
            <button id="submitButton" type="submit" class="success large place-right">Submit</button>

            <a id="cancelButton" class="place-left button link large" ui-sref='Contacts'>Cancel</a>

        </form>

    </div>
    <div class="clearfix"></div>
</div>